Bug 187664 - FC4/FC5 kernel upgrade fails on ext3 / partition
FC4/FC5 kernel upgrade fails on ext3 / partition
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-02 09:38 EDT by Luc
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-02 17:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luc 2006-04-02 09:38:33 EDT
Description of problem:
Since kernel 2.6.15-1.1831_FC4 every kernel upgrade leads to a kernel panic with
the following message:
"
uncompressing linux...OK, booting the kernel
Red Hat nash version 4.2.15 starting
EXT3-fs: unrecognized mount option "auto" or missing value
mount: error 22 mounting ext3
ERROR opening /dev/console!!!!2
error dup2' ing fd of 0 to 0
error dup2' ing fd of 0 to 1
error dup2' ing fd of 0 to 2
switchroot: mount failed: 22
kernel panic - not syncing: attempted to kill init!
"

Version-Release number of selected component (if applicable):
2.6.15-1.1833_FC4 and all FC4 version above

How reproducible:
Always

Steps to Reproduce:
1.Kernel uppdate with yumex
2.reboot
3.
  
Actual results:
Kernel panic

Expected results:
Boot on kernel

Additional info:
I am also evaluating new FC5 on another partition on the same PC:

1) I installed FC5 on an ext3 / partition. I experimented the same problem when
upgrading the kernel to version 2.6.16-1.2080_FC5. The error message was:
"
EXT3-fs: unrecognized mount option "auto" or missing value
mount: error mounting /dev/root on /sysroot as ext3: Invalid argument
"
2) I tried also with a new initrd including ext3 module (mkinitrd --with=ext3)
but it leads to the same kernel panic

3) Finally I reformat / partition as ext2 and reinstalled FC5. After that,
kernel upgrade to 2.6.16-1.2080_FC5 was OK
Comment 1 Luc 2006-05-02 17:27:45 EDT
The problem comes from my fstab in which I had the following line for  /:
LABEL=/    /     ext3    rw,suid,dev,exec,auto,nouser,async,acl        1 1
I replace that line by:
LABEL=/    /     ext3    defaults        1 1
Then every new kernel update was OK

What I don't know is why all was OK before 2.6.15-1.1831_FC4 with the same fstab


Note You need to log in before you can comment on or make changes to this bug.